Steam for Linux > Limited Beta > Topic Details
ethereal2k7 Dec 8, 2012 @ 5:11am
Multiple issues with 32-bit steam on x86_64
Host: 64bit Gentoo, with multilib, running 32-bit Steam.

The first problem I encountered was inability of Steam client to locate its shared libraries. Running LD_DEBUG=libs ~/.steampath has shown that it only looks for steamui.so in /lib32 and /usr/lib32. Adding absolute path to Steam/ubuntu12_32/ directory to /etc/ld.so.conf and updating cache with ldconfig solved this problem for me.

The second problem is that Steam tells me that I'm in offline mode so I can't log into existing account. Probably this is because he tries to find/launch Network Manager.
Here's the console output: http://pastebin.com/c1FjgJsa
And here's the crash dump: {LINK REMOVED - Please don't spam, and be wary of scams.}http://rghost.ru/42093303

Feel free to ask any additional information.
Showing 1-2 of 2 comments
< >
theli Dec 8, 2012 @ 5:28am 
Did not experience any f your issues here on amd64 gentoo
working perfectly fine ( and btw i dont have networkmanger )
Dalek Sec Dec 8, 2012 @ 5:35am 
Well, not sure if this is of any help, but:
Depends: multiarch-support (>= 2.15-0ubuntu10.2), libgl1-mesa-glx, libgl1-mesa-dri, libjpeg-turbo8, libcurl3-gnutls (>= 7.16.2-1), libogg0 (>= 1.0rc3), libpixman-1-0 (>= 0.24.4-1),
libsdl1.2debian (>= 1.2.10-1), libtheora0 (>= 1.0~beta1), libvorbis0a (>= 1.1.2), libvorbisenc2 (>= 1.1.2), libvorbisfile3 (>= 1.1.2), zenity (>= 3.4.0-0ubuntu4), libasound2 (>=
1.0.23), libc6 (>= 2.15), libcairo2 (>= 1.6.0), libcups2 (>= 1.4.0), libdbus-1-3 (>= 1.2.14), libfontconfig1 (>= 2.8.0), libfreetype6 (>= 2.3.9), libgcc1 (>= 1:4.1.1), libgcrypt11 (>=
1.4.5), libgdk-pixbuf2.0-0 (>= 2.22.0), libglib2.0-0 (>= 2.14.0), libgtk2.0-0 (>= 2.24.0), libnspr4 (>= 1.8.0.10), libnss3 (>= 3.12.3), libopenal1 (>= 1:1.13), libpango1.0-0 (>=
1.22.0), libpng12-0 (>= 1.2.13-4), libpulse0 (>= 1:0.99.1), libstdc++6 (>= 4.6), libx11-6 (>= 2:1.4.99.1), libxext6, libxfixes3, libxi6 (>= 2:1.2.99.4), libxrandr2 (>= 2:1.2.99.3),
libxrender1, zlib1g (>= 1:1.2.3.3.dfsg)
Showing 1-2 of 2 comments
< >
Per page: 15 30 50
Date Posted: Dec 8, 2012 @ 5:11am
Posts: 2